diff --git a/test_plans/generic_filter_test_plan.rst b/test_plans/generic_filter_test_plan.rst
index de02f62..fda54e0 100644
--- a/test_plans/generic_filter_test_plan.rst
+++ b/test_plans/generic_filter_test_plan.rst
@@ -522,110 +522,3 @@ Send packets(`dst_ip` = 2.2.2.5 `src_ip` = 2.2.2.4 `dst_port` = 1 `src_port` =
 sending packets. packets are received on the queue 64 and queue 127 When
 setting 5-tuple Filter with queue(128), it will display failure because the
 number of queues no more than 128.
-
-
-
-Test Case 11: 10G NIC Performance
-=================================
-
-This case is designed for Niantic. It provides the performance data with and
-without generic filter::
-
-    Launch app without filter
-    ./testpmd -c fffff -n 4 -- -i --disable-rss --rxq=4 --txq=4 --nb-cores=16 --nb-ports=2
-    testpmd> start
-
-Send the packets stream from packet generator::
-
-    testpmd> quit
-
-Enable the filters on app::
-
-    ./testpmd -c fffff -n 4 -- -i --disable-rss --rxq=4 --txq=4 --nb-cores=16 --nb-ports=2
-
-    testpmd>set stat_qmap rx 0 0 0
-    testpmd>set stat_qmap rx 0 1 1
-    testpmd>set stat_qmap rx 0 2 2
-    testpmd>set stat_qmap rx 0 3 3
-    testpmd>set flush_rx on
-    testpmd> add_syn_filter 0 priority high queue 1
-    testpmd> add_ethertype_filter 0 ethertype 0x0806 priority disable 0 queue 2 index 1
-    testpmd> add_5tuple_filter 0 dst_ip 2.2.2.5 src_ip 2.2.2.4 dst_port 1 src_port 1 protocol 0x06 mask 0x1f flags 0x02 priority 3 queue 3 index 1
-    testpmd> start
-
-Send the packets stream from packet generator::
-
-    testpmd> quit
-
-
-+-------+---------+---------+
-| Frame | disable | enable  |
-| Size  | filter  | filter  |
-+-------+---------+---------+
-|  64   |         |         |
-+-------+---------+---------+
-|  128  |         |         |
-+-------+---------+---------+
-|  256  |         |         |
-+-------+---------+---------+
-|  512  |         |         |
-+-------+---------+---------+
-|  1024 |         |         |
-+-------+---------+---------+
-|  1280 |         |         |
-+-------+---------+---------+
-|  1518 |         |         |
-+-------+---------+---------+
-
-
-Test Case 12: 1G NIC Performance
-================================
-
-This case is designed for NIC (I350, 82580, and 82576). It provides the
-performance data with and without generic filter::
-
-    ./testpmd -c fffff -n 4 -- -i --disable-rss --rxq=4 --txq=4 --nb-cores=16 --nb-ports=2
-    testpmd> start
-
-Send the packets stream from packet generator::
-
-    testpmd> quit
-
-Enable the filter::
-
-    ./testpmd -c fffff -n 4 -- -i --disable-rss --rxq=4 --txq=4 --nb-cores=16 --nb-ports=2
-
-    testpmd>set stat_qmap rx 0 0 0
-    testpmd>set stat_qmap rx 0 1 1
-    testpmd>set stat_qmap rx 0 2 2
-    testpmd>set stat_qmap rx 0 3 3
-    testpmd>set flush_rx on
-    testpmd> add_syn_filter 0 priority high queue 1
-    testpmd> add_ethertype_filter 0 ethertype 0x0806 priority disable 0 queue 2 index 1
-    testpmd> start
-
-
-Send the packets stream from packet generator::
-
-    testpmd> quit
-
-
-
-+-------+---------+---------+
-| Frame | disable | enable  |
-| Size  | filter  | filter  |
-+-------+---------+---------+
-|  64   |         |         |
-+-------+---------+---------+
-|  128  |         |         |
-+-------+---------+---------+
-|  256  |         |         |
-+-------+---------+---------+
-|  512  |         |         |
-+-------+---------+---------+
-|  1024 |         |         |
-+-------+---------+---------+
-|  1280 |         |         |
-+-------+---------+---------+
-|  1518 |         |         |
-+-------+---------+---------+
diff --git a/tests/TestSuite_generic_filter.py b/tests/TestSuite_generic_filter.py
index b34c9dd..22f85bd 100644
--- a/tests/TestSuite_generic_filter.py
+++ b/tests/TestSuite_generic_filter.py
@@ -773,81 +773,6 @@ class TestGeneric_filter(TestCase):
         else:
             self.verify(False, "%s not support this test" % self.nic)
 
-    def test_perf_generic_filter_perf(self):
-        self.pmdout.start_testpmd(
-            "%s" % self.cores, "--disable-rss --rxq=4 --txq=4 --portmask=%s --nb-cores=4 --nb-ports=1" % portMask)
-        self.port_config()
-        print(valports[0], valports[1])
-        tx_port = self.tester.get_local_port(valports[0])
-        tx_mac = self.dut.get_mac_address(valports[0])
-        txItf = self.tester.get_interface(tx_port)
-
-        rx_port = self.tester.get_local_port(valports[1])
-        rxItf = self.tester.get_interface(rx_port)
-        package_sizes = [64, 128, 256, 512, 1024, 1280, 1518]
-        print(tx_mac)
-        print(self.dut.ports_info[valports[0]], self.dut.ports_info[valports[1]])
-        test_type = {
-            "syn": ["syn_filter add 0 priority high queue 1", "syn_filter del 0 priority high queue 1"],
-            "ethertype": ["add_ethertype_filter 0 ethertype 0x0806 priority disable 0 queue 2 index 1", "remove_ethertype_filter 0 index 1"],
-            "5tuple": ["5tuple_filter 0 add dst_ip 2.2.2.5 src_ip 2.2.2.4 dst_port 1 src_port 1 protocol 0x06 mask 0x1f tcp_flags 0x02 priority 3 queue 3", "5tuple_filter 0 add dst_ip 2.2.2.5 src_ip 2.2.2.4 dst_port 1 src_port 1 protocol 0x06 mask 0x1f tcp_flags 0x02 priority 3 queue 3"]
-        }
-        stream_config = {
-            "syn": 'Ether(dst="%s")/IP(src="2.2.2.5",dst="2.2.2.4")/TCP(dport=80,flags="S")/("X"*64)',
-            "ethertype": 'Ether(dst="%s")/ARP(pdst="192.168.1.1")' % tx_mac,
-            "5tuple": 'flows.append(Ether(dst="%s")/IP(src="2.2.2.4",dst="2.2.2.5")/TCP(sport=1,dport=1,flags=0)/("X"*%d))',
-        }
-        self.result_table_create(
-            ['pack_size', "filter_type", "enable", "disable", "perf_compare"])
-        for key in list(test_type.keys()):
-            if "5tuple" != key:
-                pps_lists = []
-                for i in range(2):
-                    self.dut.send_expect(test_type[key][i], "testpmd> ", 15)
-                    self.dut.send_expect("start", "testpmd> ", 120)
-                    self.tester.scapy_append('flows = []')
-                    self.tester.scapy_append(
-                        'flows.append(%s)' % stream_config[key])
-                    self.tester.scapy_append(
-                        'wrpcap("generic_firlter.pcap",flows)')
-                    self.tester.scapy_execute()
-                    tgen_input = []
-                    tgen_input.append(
-                        (tx_port, rx_port, "generic_firlter.pcap"))
-                    _, pps = self.tester.traffic_generator_throughput(
-                        tgen_input)
-                    pps_lists.append(pps)
-                self.result_table_add(
-                    ["defult", key, pps_lists[0], pps_lists[1], (pps_lists[0] - pps_lists[1]) / float(pps_lists[1])])
-            # this is a TCP/IP packet, need to test different payload_size
-            if ("5tuple" == key) and ("niantic" == self.nic):
-                for package_size in package_sizes:
-                    payload_size = package_size - \
-                        HEADER_SIZE["tcp"] - HEADER_SIZE[
-                            'ip'] - HEADER_SIZE['eth']
-                    pps_lists = []
-                    for i in range(2):
-                        self.dut.send_expect(
-                            test_type[key][i], "testpmd> ", 15)
-                        self.dut.send_expect("start", "testpmd> ", 120)
-                        self.tester.scapy_append('flows = []')
-                        self.tester.scapy_append('flows.append(%s)' % (
-                            stream_config[key] % (tx_mac, payload_size)))
-                        self.tester.scapy_append(
-                            'wrpcap("generic_firlter.pcap",flows)')
-                        self.tester.scapy_execute()
-                        tgen_input = []
-                        # tgen_input.append((txItf, rxItf, "generic_firlter.pcap"))
-                        tgen_input.append(
-                            (tx_port, rx_port, "generic_firlter.pcap"))
-                        print(tgen_input)
-                        _, pps = self.tester.traffic_generator_throughput(
-                            tgen_input)
-                        pps_lists.append(pps)
-                    self.result_table_add(
-                        [package_size, key, pps_lists[0], pps_lists[1], (pps_lists[0] - pps_lists[1]) / float(pps_lists[1])])
-        self.result_table_print()
-
     def tear_down(self):
         """
         Run after each test case.