diff --git a/test_plans/runtime_vf_queue_number_kernel_test_plan.rst b/test_plans/runtime_vf_queue_number_kernel_test_plan.rst
old mode 100644
new mode 100755
index 57df29a..5c8bab3
--- a/test_plans/runtime_vf_queue_number_kernel_test_plan.rst
+++ b/test_plans/runtime_vf_queue_number_kernel_test_plan.rst
@@ -127,7 +127,7 @@ Test Case 1: set valid VF queue number in testpmd command-line options
 
 1. Start VF testpmd with "--rxq=[rxq] --txq=[txq]", and random valid values from 1 to 16, take 3 for example::
 
-     ./testpmd -c 0xf0 -n 4 -w 00:04.0 --file-prefix=test2 \
+     ./testpmd -c 0xf0 -n 4 -a 00:04.0 --file-prefix=test2 \
      --socket-mem 1024,1024 -- -i --rxq=3 --txq=3
 
 2. Configure vf forwarding prerequisits and start forwarding::
@@ -169,7 +169,7 @@ Test case 2: set invalid VF queue number in testpmd command-line options
 
 1. Start VF testpmd with "--rxq=0 --txq=0" ::
 
-     ./testpmd -c 0xf0 -n 4 -w 00:04.0 --file-prefix=test2 \
+     ./testpmd -c 0xf0 -n 4 -a 00:04.0 --file-prefix=test2 \
      --socket-mem 1024,1024 -- -i --rxq=0 --txq=0
 
    Verify testpmd exited with error as below::
@@ -178,7 +178,7 @@ Test case 2: set invalid VF queue number in testpmd command-line options
 
 2. Start VF testpmd with "--rxq=17 --txq=17" ::
 
-    ./testpmd -c 0xf0 -n 4 -w 00:04.0 --file-prefix=test2 \
+    ./testpmd -c 0xf0 -n 4 -a 00:04.0 --file-prefix=test2 \
     --socket-mem 1024,1024 -- -i --rxq=17 --txq=17
 
    Verify testpmd exited with error as below::
@@ -190,7 +190,7 @@ Test case 3: set valid VF queue number with testpmd function command
 
 1. Start VF testpmd without setting "rxq" and "txq"::
 
-    ./testpmd -c 0xf0 -n 4 -w 00:04.0 --socket-mem 1024,1024 -- -i
+    ./testpmd -c 0xf0 -n 4 -a 00:04.0 --socket-mem 1024,1024 -- -i
 
 2. Configure vf forwarding prerequisits and start forwarding::
 
@@ -211,7 +211,7 @@ Test case 4: set invalid VF queue number with testpmd function command
 
 1. Start VF testpmd without setting "rxq" and "txq"::
 
-     ./testpmd -c 0xf0 -n 4 -w 00:04.0 --socket-mem 1024,1024 -- -i
+     ./testpmd -c 0xf0 -n 4 -a 00:04.0 --socket-mem 1024,1024 -- -i
 
 2. Set rx queue number and tx queue number with 0 ::
 
diff --git a/tests/TestSuite_runtime_vf_queue_number_kernel.py b/tests/TestSuite_runtime_vf_queue_number_kernel.py
old mode 100644
new mode 100755
index 3daf234..23e08a7
--- a/tests/TestSuite_runtime_vf_queue_number_kernel.py
+++ b/tests/TestSuite_runtime_vf_queue_number_kernel.py
@@ -165,7 +165,7 @@ class TestRuntimeVfQueueNumberKernel(TestCase):
         queue_nums = [1, random_queue, self.max_queue]
         for nr_queue in queue_nums:
             self.vm0_testpmd = PmdOutput(self.vm_dut_0)
-            eal_param = '-w %(vf0)s' % {'vf0': self.vm_dut_0.vm_pci0}
+            eal_param = '-a %(vf0)s' % {'vf0': self.vm_dut_0.vm_pci0}
             tx_port = self.tester.get_local_port(self.dut_ports[0])
             tester_mac = self.tester.get_mac(tx_port)
             iface = self.tester.get_interface(tx_port)
@@ -209,7 +209,7 @@ class TestRuntimeVfQueueNumberKernel(TestCase):
             self.vm0_testpmd = PmdOutput(self.vm_dut_0)
             self.vm_dut_0.session_secondary = self.vm_dut_0.new_session()
             app_name = self.vm_dut_0.apps_name['test-pmd']
-            cmd = app_name + "-c 0xf -n 1 -w %s -- -i --txq=%s --rxq=%s" % (self.vm_dut_0.vm_pci0, i, i)
+            cmd = app_name + "-c 0xf -n 1 -a %s -- -i --txq=%s --rxq=%s" % (self.vm_dut_0.vm_pci0, i, i)
             out = self.vm_dut_0.session_secondary.send_expect(cmd, "# ", 40)
             if i == 0:
                 self.verify('Either rx or tx queues should be non-zero' in out, "queue number can't be zero")
@@ -221,7 +221,7 @@ class TestRuntimeVfQueueNumberKernel(TestCase):
         random_queue = random.randint(2, 15)
         queue_nums = [1, random_queue, self.max_queue]
         self.vm0_testpmd = PmdOutput(self.vm_dut_0)
-        eal_param = '-w %(vf0)s' % {'vf0': self.vm_dut_0.vm_pci0}
+        eal_param = '-a %(vf0)s' % {'vf0': self.vm_dut_0.vm_pci0}
         tx_port = self.tester.get_local_port(self.dut_ports[0])
         tester_mac = self.tester.get_mac(tx_port)
         iface = self.tester.get_interface(tx_port)
@@ -272,7 +272,7 @@ class TestRuntimeVfQueueNumberKernel(TestCase):
     def test_set_invalid_vf_queue_num_with_testpmd_command(self):
         invalid_queue_num = [0, 257]
         self.vm0_testpmd = PmdOutput(self.vm_dut_0)
-        eal_param = '-w %(vf0)s' % {'vf0': self.vm_dut_0.vm_pci0}
+        eal_param = '-a %(vf0)s' % {'vf0': self.vm_dut_0.vm_pci0}
         self.vm0_testpmd.start_testpmd("all", eal_param=eal_param)
         self.vm0_testpmd.execute_cmd('set promisc all off')
         self.vm0_testpmd.execute_cmd('set fwd mac')