diff --git a/test_plans/rteflow_priority_test_plan.rst b/test_plans/rteflow_priority_test_plan.rst
index ff49cdb..b1815ce 100644
--- a/test_plans/rteflow_priority_test_plan.rst
+++ b/test_plans/rteflow_priority_test_plan.rst
@@ -71,7 +71,7 @@ Patterns in this case:
 
 #. Start the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
 
@@ -90,7 +90,7 @@ Patterns in this case:
 
 #. Start the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0,pipeline-mode-support=0 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0,pipeline-mode-support=0 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
 
@@ -119,7 +119,7 @@ Patterns in this case:
 
 #. Start the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
     rx_vxlan_port add 4789 0
@@ -184,7 +184,7 @@ Patterns in this case:
 
 #. Start the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
 
@@ -206,7 +206,7 @@ Patterns in this case:
 
 #. Start the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
 
@@ -232,7 +232,7 @@ Patterns in this case:
 
 #. Start the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
 
@@ -257,7 +257,7 @@ Patterns in this case:
 
 #. Start the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0,pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
 
@@ -298,7 +298,7 @@ Patterns in this case:
 
 #. Restart the ``testpmd`` application as follows::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -w 0000:af:00.0, pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xf -n 4 -a 0000:af:00.0, pipeline-mode-support=1 --log-level="ice,7" -- -i --txq=8 --rxq=8
     set fwd rxonly
     set verbose 1
 
diff --git a/tests/TestSuite_rteflow_priority.py b/tests/TestSuite_rteflow_priority.py
old mode 100644
new mode 100755
index b0bbf24..23aea82
--- a/tests/TestSuite_rteflow_priority.py
+++ b/tests/TestSuite_rteflow_priority.py
@@ -133,7 +133,7 @@ class TestRteflowPriority(TestCase):
         """
         #start testpmd in pipeline mode
         # genarate eal
-        command = self.path + '-c %s -n 4 -w %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
         self.logger.debug(out)
         
@@ -200,7 +200,7 @@ class TestRteflowPriority(TestCase):
         """
         
         #start testpmd without pipeline-mode-support parameter, check the testpmd is launch in non-pipeline mode
-        command = self.path + '-c %s -n 4 -w %s --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
         self.logger.debug(out)
         
@@ -212,7 +212,7 @@ class TestRteflowPriority(TestCase):
         self.dut.send_expect("quit", "#", 50)
         
         #restart testpmd with pipeline-mode-support=0, check the testpmd is launch in non-pipeline mode
-        command = self.path + '-c %s -n 4 -w %s,pipeline-mode-support=0 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s,pipeline-mode-support=0 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
         self.logger.debug(out)
         
@@ -229,7 +229,7 @@ class TestRteflowPriority(TestCase):
         """
         
         #start testpmd in pipeline mode
-        command = self.path + '-c %s -n 4 -w %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
         self.logger.debug(out)
         
@@ -246,7 +246,7 @@ class TestRteflowPriority(TestCase):
         """
         
         #start testpmd in pipeline mode
-        command = self.path + '-c %s -n 4 -w %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
         self.logger.debug(out)
 
@@ -263,7 +263,7 @@ class TestRteflowPriority(TestCase):
         """
         
         #start testpmd in pipeline mode
-        command = self.path + '-c %s -n 4 -w %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
         self.logger.debug(out)
 
@@ -280,7 +280,7 @@ class TestRteflowPriority(TestCase):
         """
 
         #start testpmd in pipeline mode
-        command = self.path + '-c %s -n 4 -w %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
 
         self.dut.send_expect("set fwd rxonly", "testpmd> ", 15)
@@ -317,7 +317,7 @@ class TestRteflowPriority(TestCase):
         self.dut.send_expect("quit", "#", 50)
 
         #restart testpmd in pipeline mode
-        command = self.path + '-c %s -n 4 -w %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
+        command = self.path + '-c %s -n 4 -a %s,pipeline-mode-support=1 --log-level="ice,7" -- -i --portmask=%s --rxq=10 --txq=10' % (self.coreMask, self.dut.ports_info[0]['pci'], utils.create_mask([self.dut_ports[0]]))
         out = self.dut.send_expect(command, "testpmd> ", 120)
         self.logger.debug(out)
 